[Gelöst] Fehler beim kompilieren

Informationen und Hilfestellung zu experimentellen Blenderversionen.

[Gelöst] Fehler beim kompilieren

Beitragvon Taranis » 05.01.2012, 18:04

Hallo,
Ich will mir Blender selbst aus dem Trunk kompilieren.
Ich habe Ubuntu 11.10, 32Bit.
Nun erhalte ich nach dem Befehl python scons/scons.py folgenden Fehler:

Code: Alles auswählen
Linking program ==> 'blender'
/usr/bin/ld: cannot find -lpython3.2


Wie komme ich darüber hinweg?

Danke im Voraus T.
Zuletzt geändert von Taranis am 05.01.2012, 18:28, insgesamt 1-mal geändert.
Taranis
 
Registriert:
28.04.2010, 06:24

Re: Fehler beim kompilieren

Beitragvon DingTo » 05.01.2012, 18:07

Offenbar hast du kein Python 3.2 installiert, oder der Pfad stimmt nicht.
Schau dir mal die Datei build_files\scons\config\linux-config.py an und stell sicher dass die Pfade zu deiner python Installation stimmen, insbesondere:

BF_PYTHON_ABI_FLAGS = 'm' # Most common for linux distros

BF_PYTHON = '/usr'

Falls nicht, einfach dementsprechend ändern.
Blender Developer (Cycles/Interface)
Blog -- Blender Podcast -- BlenderDay -- Blender Network -- OpenShading
Benutzeravatar
DingTo
 
Registriert:
29.10.2007, 09:59

Re: Fehler beim kompilieren

Beitragvon Taranis » 05.01.2012, 18:12

Danke, ich werde das überprüfen.
Taranis
 
Registriert:
28.04.2010, 06:24

Re: Fehler beim kompilieren

Beitragvon Taranis » 05.01.2012, 18:28

Hallo DingTo,

Alles klar.
Es klappt.
Es war der Parameter:

Code: Alles auswählen
BF_PYTHON_ABI_FLAGS = 'm' # Most common for linux distros

Bei musste ich "mu" einsetzen.

Danke
Taranis
 
Registriert:
28.04.2010, 06:24


Zurück zu Blender GIT


Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 2 Gäste